Page MenuHomePhabricator

Tab "Suggestions" as default in Content Translation when coming from a campaign
Closed, ResolvedPublic1 Story Points

Description

When there is no article on "In progress" tab in CX's dashboard, default tab (when coming directly to Special:ContentTranslation or from usual entry points) should be "Suggestions". It should inspire editors to pick some article and translate it. If there is at least one article on "In progress" tab, should be showed this to finish and publish it.

As an initial step, we make sure that suggestions are shown the first time ever the user accesses the dashboard. That will improve the first-time experience and was much easier to detect.

Further steps are considered in T115458 and T115583.

Event Timeline

KuboF created this task.Sep 16 2015, 9:56 PM
KuboF updated the task description. (Show Details)
KuboF raised the priority of this task from to Needs Triage.
KuboF added a project: ContentTranslation.
KuboF added a subscriber: KuboF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 9:56 PM
Amire80 triaged this task as Normal priority.Sep 17 2015, 1:35 PM
Amire80 added a project: Design.
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
santhosh claimed this task.Oct 7 2015, 3:51 AM

Change 244114 had a related patch set uploaded (by Santhosh):
Set suggestions as active tab for new users

https://gerrit.wikimedia.org/r/244114

A simple check of whether the URL contains campaign parameter is used.

Checking if there is an ongoing translation is the perfect way to determine the active tab. But that is an asynchrounous api call. Swapping the tabs few seconds after page load does not look good.

@Pginer-WMF any smart ideas on this?

santhosh moved this task from Backlog to In review on the LE-CX7-Sprint 1 board.Oct 7 2015, 4:43 AM
santhosh edited a custom field.

A simple check of whether the URL contains campaign parameter is used.

Can you provide more detail on which view will be shown when there is a campaign and which view will be shown when there is none?

@Pginer-WMF any smart ideas on this?

We should definitely avoid sudden changes of the current view. So if we cannot know it in advance, we can try the following approaches:

  • Make sure that suggestions are shown the first time ever the user accesses the dashboard. I'm not sure whether that makes things much simpler, but since we are able to show the beta-feature invite once, it may be feasible to use a similar mechanism.
  • Facilitate the transition using the empty state. We can adjust the empty state message (T88344#1386908) to indicate there are suggestions, making it easy for the user to access the next logical step. Note that we should show the link only for the languages where suggestions are available (we should avoid telling the user there are suggestions and showing an empty list)

By the way, empty states were not appearing for me. Not sure if there is a bug already about that.

Change 244114 merged by jenkins-bot:
Set suggestions as active tab for new users

https://gerrit.wikimedia.org/r/244114

santhosh moved this task from In review to QA on the LE-CX7-Sprint 1 board.Oct 12 2015, 4:20 AM
santhosh moved this task from QA to In review on the LE-CX7-Sprint 1 board.

OK, it works according to Pau's suggestions, though I'm inclined to leave this open to see how it affects the users.

I'm not sure that showing the suggestions tab by default is useful only when users are coming through a campaign.

Amire80 moved this task from In review to QA on the LE-CX7-Sprint 1 board.Oct 14 2015, 11:48 AM

OK, it works according to Pau's suggestions, though I'm inclined to leave this open to see how it affects the users.

We can do the following:

  • Rename the current task as "Tab 'Suggestions' as default in Content Translation" and close it.
  • Create a new "Show tab 'Suggestions' when in-progress list is empty", and add it to CX7 further consideration in upcoming sprints.

In that way the scope of what is done and pending seems more clear. Does it make sense?

OK, it works according to Pau's suggestions, though I'm inclined to leave this open to see how it affects the users.

We can do the following:

  • Rename the current task as "Tab 'Suggestions' as default in Content Translation" and close it.
  • Create a new "Show tab 'Suggestions' when in-progress list is empty", and add it to CX7 further consideration in upcoming sprints.

    In that way the scope of what is done and pending seems more clear. Does it make sense?

OK. T115458. Feel free to edit.

Amire80 renamed this task from Tab "Suggestions" as default in Content Translation to Tab "Suggestions" as default in Content Translation when coming from a campaign.Oct 14 2015, 12:05 PM
Pginer-WMF updated the task description. (Show Details)Oct 14 2015, 12:22 PM

OK. T115458. Feel free to edit.

That looks good to me.

I edited the description of the current task to specify what has been done. From your comment ("it works according to Pau's suggestions"), I assumed both of the comments I made in T112822#1708124 have been supported. Please, make sure to verify that this is correct or edit accordingly.

Make sure that suggestions are shown the first time ever the user accesses the dashboard. I'm not sure whether that makes things much simpler, but since we are able to show the beta-feature invite once, it may be feasible to use a similar mechanism.

Done, although it also checks for a campaign, and I'm not sure that it's right.

Facilitate the transition using the empty state. We can adjust the empty state message (T88344#1386908) to indicate there are suggestions

Not done, and deserves a separate task.

KuboF removed a subscriber: KuboF.Oct 15 2015, 11:18 AM
Pginer-WMF updated the task description. (Show Details)Oct 15 2015, 12:45 PM

Done, although it also checks for a campaign, and I'm not sure that it's right.

One way to check is:

  1. Create a new account.
  2. Enable CX beta feature
  3. Access ...Special:ContentTranslation (without any especial parameters)
  4. Observe that the view open is "Suggestions"
Amire80 moved this task from QA to Done on the LE-CX7-Sprint 1 board.Oct 21 2015, 6:16 AM
Amire80 closed this task as Resolved.Oct 23 2015, 5:23 PM

Verified.